Subject: RE: bug#5863: defadvice in byte compiled file does not work

From: "Drew Adams" <[email-masked]>
Date: Thu, 8 Apr 2010 20:37:55 -0700

> > The info page I pointed to says that defadvice should work for
> > primitives called from lisp code.  And that is what does 
> > not work for me here.
> 
> For such uses, there are several categories of functions:
> - functions that have their own byte-code (things like widen, 
> car, cdr, ...).
> - functions that are implemented in C but don't have their own
>   byte-code.
> - other functions.
> 
> Pieces of advice on the first kind of functions only work for
> calls from interpreted Lisp code.
> Pieces of advice on the second kind of functions only work for
> calls from Lisp code (both interpreted and byte-compiled).

Please document the behavior in the manual, not just here. Thx.